[Commented] (MENFORCER-277) Upgrade maven-dependency-tree to 3.x

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Commented] (MENFORCER-277) Upgrade maven-dependency-tree to 3.x

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/MENFORCER-277?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16765254#comment-16765254 ]

Gabriel Belingueres commented on MENFORCER-277:
-----------------------------------------------

Finished the migration of the dependency collection functionality to maven-artifact-transfer (see MSHARED-801).

> Upgrade maven-dependency-tree to 3.x
> ------------------------------------
>
>                 Key: MENFORCER-277
>                 URL: https://issues.apache.org/jira/browse/MENFORCER-277
>             Project: Maven Enforcer Plugin
>          Issue Type: Improvement
>    Affects Versions: 1.4.1
>            Reporter: Robert Scholte
>            Priority: Major
>         Attachments: MENFORCER-277.patch
>
>
> As part of MENFORCER-264 maven-dependency-tree should be upgraded. This would imply switching from the M2 {{DependencyTreeBuilder}} to M2/M3 {{DependencyGraphBuilder}}.
> However, {{DependencyGraphBuilder}} uses {{ProjectDependenciesResolver}}, which provides the *resolved* graph instead of a raw tree.
> This is a requirement for both {{DependencyConvergence}} and {{RequireUpperBoundDeps}}.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)